#!/bin/sh

PATH="/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin:$PATH"
MOUNT="$1"
LOG="/dev/null"

if [ "x${MOUNT##*.}" = "xddboost" ]; then
    CUSTOM_TOOL='/opt/emc/boostfs/bin/boostfs'
elif [ "x${MOUNT##*.}" = "xlink" ]; then
    CUSTOM_TOOL='echo'
    unlink "$MOUNT" >>"$LOG" 2>&1
fi

${CUSTOM_TOOL} umount "$MOUNT" >>"$LOG" 2>&1
rmdir "$MOUNT" >>"$LOG" 2>&1

echo "$MOUNT"
exit 0
